Subject: [alpine-devel] [PATCH] testing/py-roman: new aport

From: Matt Smith <[email-masked]>
Date: Tue, 14 Dec 2010 23:22:43 -0600

---
 testing/py-roman/APKBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-roman/APKBUILD

diff --git a/testing/py-roman/APKBUILD b/testing/py-roman/APKBUILD
new file mode 100644
index 0000000..79b3894
--- /dev/null
+++ b/testing/py-roman/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer:  Matt Smith <[email-masked]>
+pkgname=py-roman
+_pkgname=roman
+pkgver=1.4.0
+pkgrel=0
+pkgdesc="Integer to Roman numerals converter"
+url="http://pypi.python.org/pypi/roman"
+arch="x86 x86_64"
+license="Python2.1.1"
+depends="python"
+makedepends="python-dev py-setuptools"
+install=
+subpackages=
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir"
+}
+
+md5sums="4f8832ed4108174b159c2afb4bd1d1dd  roman-1.4.0.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 16 Dec 2010 11:56:56 +0100

>  create mode 100644 testing/py-roman/APKBUILD

...
> +	python setup.py install --root "$pkgdir"

separate build() and package(), I like that.

Applied. Thanks!

-nc

---